WildcardFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.filters.WildcardFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.filters
Class WildcardFilter

    java.lang.Object
      org.mule.routing.filters.WildcardFilter

All Implemented Interfaces:
  Filter, ObjectFilter

Direct Known Subclasses:
  FilenameWildcardFilter, HttpRequestWildcardFilter

    public class WildcardFilter

extends Object
implements Filter, ObjectFilter

`WildcardFilter` is used to match Strings against wildcards. It performs matches with "*", i.e. "jms.events.*" would catch "jms.events.customer" and "jms.events.receipts". This filter accepts a comma-separated list of patterns, so more than one filter pattern can be matched for a given argument: "jms.events.*, jms.actions.*" will match "jms.events.system" and "jms.actions" but not "jms.queue".

Field Summary
`protected Log` | `logger`
`protected String` | `pattern`
`protected String[]` | `patterns`

Constructor Summary
`WildcardFilter()`
`WildcardFilter(String pattern)`

Method Summary
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.
`boolean` | `accept(Object object)`
`boolean` | `equals(Object obj)`
`String` | `getPattern()`
`int` | `hashCode()`
`boolean` | `isCaseSensitive()`
`void` | `setCaseSensitive(boolean caseSensitive)`
`void` | `setPattern(String pattern)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

### pattern

    protected volatile String pattern

### patterns

    protected volatile String[] patterns

Constructor Detail

### WildcardFilter

    public WildcardFilter()

### WildcardFilter

    public WildcardFilter(String pattern)

Method Detail

### accept

    public boolean accept(MuleMessage message)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

### accept

    public boolean accept(Object object)

  Specified by:
    `accept` in interface `ObjectFilter`

### getPattern

    public String getPattern()

### setPattern

    public void setPattern(String pattern)

### isCaseSensitive

    public boolean isCaseSensitive()

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.